<template>
  <app-container>
    <div>
      <tag-input :data-source="hotels" v-model="state.selectedTags" :render-row-component="row => row.name"></tag-input>
    </div>
  </app-container>
</template>

<script>

import AppContainer from "./components/layouts/AppContainer";
import TagInput from "@/components/base/TagInput";
import {reactive, onMounted, computed} from "vue";
import {useStore} from 'vuex';

export default {
  name: 'App',
  components: {
    TagInput,
    AppContainer
  },
  setup() {
    const store = useStore()

    onMounted(() => {
      store.dispatch("fetchAllHotels");
    });

    const hotels  = computed(()=> (store.state.Hotel.hotels))
    const state = reactive({
          selectedTags: []
    })
    return {
      state,
      hotels
    }
  }
}
</script>
<style>
</style>
